Summary:	Program for working with electronic digital signatures
Name:		rosa-sigws
Version:	0.0.4
Release:	2
License:	BSD
Group:		System/Base
Url:		http://rosalab.ru
Source0:	%{name}-%{version}.tar.gz
Requires:	python-qt5-core
Requires:	python-qt5-gui
Requires:	python-qt5-widgets
BuildArch:	noarch

%description
Program for working with electronic digital signatures.

%files
%{_bindir}/rosa-sigws
%{_datadir}/applications/rosa-sigws.desktop
%{py_puresitedir}/rosa_sigws/*

#----------------------------------------------------------------------------

%prep
%setup -qn rosa-sigws

%build

%install
mkdir -p %{buildroot}%{py_puresitedir}/rosa_sigws
cp *.py %{buildroot}%{py_puresitedir}/rosa_sigws/
cp *.png %{buildroot}%{py_puresitedir}/rosa_sigws/
cp *.pdf %{buildroot}%{py_puresitedir}/rosa_sigws/

mkdir -p %{buildroot}%{_bindir}
cat<<EOF>%{buildroot}%{_bindir}/rosa-sigws
#!/usr/bin/env python
import rosa_sigws.rosa_sigws as app
if __name__ == '__main__':
    app.main()
EOF
chmod 0755 %{buildroot}%{_bindir}/rosa-sigws

mkdir -p %{buildroot}%{_datadir}/applications/
cat<<EOF>%{buildroot}%{_datadir}/applications/rosa-sigws.desktop
[Desktop Entry]
Name=ROSA SIG WS
Comment=Program for working with electronic digital signatures
Type=Application
Exec=rosa-sigws
Icon=tag-new
Categories=Utility;System;
EOF


%changelog

* Mon Jul 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.0.4-2
- (0faab04) Fix install path
- (0faab04) Don't use bash wrapper, use python instead


